#include <iostream>
using namespace std;
int i;
int main()
{
    int n, k;
    cin >> n >> k;
    int p[n];
    for(i=1;i<=n;++i)
    {
        cin >> p[i];
    }
    for(i=1;i<=n;++i)
    {
        if(p[i]==k)
        {
            if(i==n)
            {
                cout << p[1];
            }
            else if(i==1)
            {
                cout << p[n];
            }
            else
                cout << p[i-1];
        }
    }

    return 0;
}